
/* Контейнер для кнопки */
.css-modal-target-container {
height: 60px;
display:flex;
align-items:center;
justify-content:center;
}
/* Кнопка для открытия */
.css-modal-open {
display: inline-flex;
margin: 10px;
text-decoration: none;
position: relative;
font-size: 20px;
line-height: 20px;
padding: 12px 30px;
color: #FFF;
font-weight: bold;
text-transform: uppercase;
font-family: 'Roboto', Тahoma, sans-serif;
background: #337AB7;
cursor: pointer;
border: 2px solid #BFE2FF;
overflow: hidden;
z-index: 1;
}
.css-modal-open:hover,
.css-modal-open:active,
.css-modal-open:focus {
color: #FFF;
}
.css-modal-open:before {
content: '';
position: absolute;
top: 0;
right: -50px;
bottom: 0;
left: 0;
border-right: 50px solid transparent;
border-top: 50px solid #2D6B9F;
transition: transform 0.5s;
transform: translateX(-100%);
z-index: -1;
}
.css-modal-open:hover:before,
.css-modal-open:active:before,
.css-modal-open:focus:before {
transform: translateX(0);
}

/* Контейнер, который затемняет страницу */
.css-modal-target {
display: none;
}
.css-modal-target:target {
display:flex;
align-items:center;
justify-content:center;
z-index: 4;
position: fixed;
left: 0;
top: 0;
width: 100%;
height: 100%;
animation: bg 0.5s ease;
background: rgba(51, 122, 183, 0.7);
}

/* Модальное окно */
.css-modal-target .cmt {
font-family: Verdana, sans-serif;
font-size: 16px;
padding: 20px;
width: 80%;
z-index: 8;
max-width: 99%;
max-height: 70%;
transition: 0.5s;
border: 6px solid #BFE2FF;
border-radius: 12px;
background: #FFF;
box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);
text-align: center;
overflow: auto;
animation: scale 0.5s ease;
}

/* Кнопка с крестиком закрывающая окно */
.css-modal-close {
position: relative;
display: block;
}
.css-modal-close:after {
content: "";
width: 50px;
height: 50px;
border: 6px solid #BFE2FF;
border-radius: 12px;
position: fixed;
z-index: 10;
top: 20px;
right: 20px;
box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);
background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23337AB7' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'%3e%3cline x1='18' y1='6' x2='6' y2='18'%3e%3c/line%3e%3cline x1='6' y1='6' x2='18' y2='18'%3e%3c/line%3e%3c/svg%3e");
background-color: #FFF;
background-size: cover;
animation: move 0.5s ease;
}
.css-modal-close:before {
left: 0;
top: 0;
width: 100%;
height: 100%;
position: fixed;
content: "";
cursor: default;
}

/* Анимации */
@keyframes scale {
0% {
transform: scale(0);
}
100% {
transform: scale(1);
}
}
@keyframes move {
0% {
right: -80px;
}
100% {
right: 20px;
}
}
@keyframes bg {
0% {
background: rgba(51, 122, 183, 0);
}
100% {
background: rgba(51, 122, 183, 0.7);
}
}



body
{
font-family: Arial, sans-serif;
font-size: 1em;
line-height: 1.5;
}
table
{
border: #ccc solid 1px;
border-collapse: collapse;
margin: 0;
padding: 0;
table-layout: fixed;
width: 100%;
text-align: left;
}
table caption
{
font-size: 1.3em;
margin: 0.5em 0 0.75em;
}
table tr
{
text-align: left;
background: #f8f8f8;
border: #ddd solid 1px;
padding: 0.35em;
}
table th, table td
{
padding: 0.625em;
text-align: left;
}
@media screen and (max-width:600px)
{
table
{
border: 0;
}
table caption
{
font-size: 1.3em;
}
table thead
{
display: none;
}
table tr
{
border-bottom: 3px solid #ddd;
display: block;
margin-bottom: 0.625em;
}
table td
{
border-bottom: 1px solid #ddd;
display: block;
text-align: right;
}
.td
{
text-align: left;
}

table td:before
{
content: attr(aria-label);
float: left;
font-weight: bold;
}
table td:last-child
{
border-bottom: 0;
}
}
.right
{
text-align: left;
}

body
{
font-family: Arial, sans-serif;
font-size: 1em;
line-height: 1.5;
}
table
{
border: #ccc solid 1px;
border-collapse: collapse;
margin: 0;
padding: 0;
table-layout: fixed;
width: 100%;
text-align: left;
}
table caption
{
font-size: 1.3em;
margin: 0.5em 0 0.75em;
}
table tr
{
text-align: left;
background: #f8f8f8;
border: #ddd solid 1px;
padding: 0.35em;
}
table th, table td
{
padding: 0.625em;
text-align: left;
}
@media screen and (max-width:600px)
{
table
{
border: 0;
}
table caption
{
font-size: 1.3em;
}
table thead
{
display: none;
}
table tr
{
border-bottom: 3px solid #ddd;
display: block;
margin-bottom: 0.625em;
}
table td
{
border-bottom: 1px solid #ddd;
display: block;
text-align: right;
}
table td:before
{
content: attr(aria-label);
float: left;
font-weight: bold;
}
table td:last-child
{
border-bottom: 0;
}
}
.right
{
text-align: left;
}

body
{
font-family: Arial, sans-serif;
font-size: 1em;
line-height: 1.5;
}
table
{
border: #ccc solid 1px;
border-collapse: collapse;
margin: 0;
padding: 0;
table-layout: fixed;
width: 100%;
text-align: left;
}
table caption
{
font-size: 1.3em;
margin: 0.5em 0 0.75em;
}
table tr
{
text-align: left;
background: #f8f8f8;
border: #ddd solid 1px;
padding: 0.35em;
}
table th, table td
{
padding: 0.625em;
text-align: left;
}
@media screen and (max-width:600px)
{
table
{
border: 0;
}
table caption
{
font-size: 1.3em;
}
table thead
{
display: none;
}
table tr
{
border-bottom: 3px solid #ddd;
display: block;
margin-bottom: 0.625em;
}
table td
{
border-bottom: 1px solid #ddd;
display: block;
text-align: right;
}
.td
{
text-align: left;
}

table td:before
{
content: attr(aria-label);
float: left;
font-weight: bold;
}
table td:last-child
{
border-bottom: 0;
}
}
.right
{
text-align: left;
}
.user
{
background-color: #FEE2F4;
}
